#!/bin/bash

rootDir=$(pwd)
echo $rootDir
echo $1

files=$(find . -maxdepth 1 -mindepth 1 -type f -name "*.in")
for file in $files; do
  echo "$file"
  ext=".out.student"
  realext=".out"
  extdif=".dif"
  len=${#file}
  out=${file:0:len-3}$ext
  dif=${file:0:len-3}$extdif
  realout=${file:0:len-3}$realext
  rm $out -f
  rm $dif -f
  mlisp -L data.cl -L util.cl -L $1 -\#! $file > $out
  gdiff -u $realout $out > $dif
done
