;; Print out values.
(defun show (&rest x)
    (showhelper x))
(defun showhelper (x)
    (if (not (null x))
	(progn
	    (format t "~a~&"
		(if (listp (car x))
		    (sort (car x) #'scmp)
		    (car x)))
	    (showhelper (cdr x)))))

(defun scmp (a b)
    (string< (string a) (string b)))

;; Print out truth values.
(defun truth (&rest x)
    (truthhelper x))
(defun truthhelper (x)
    (if (not (null x))
	(progn
	    (format t "~a~&" (collapse (car x)))
	    (truthhelper (cdr x)))))

;; Collapse true values to simply t or nil.
(defun collapse (x)
    (if x t nil))

